%define	name	libmtp
%define	version	1.1.13
%define release %mkrel 1
%define major	9
%define	libname	%mklibname mtp %major
%define develname %mklibname -d mtp

Name:		%{name}
Summary:	Implementation of Microsoft's Media Transfer Protocol
Version:	%{version}
Release:	%{release}
Group:		System/Libraries
License:	LGPLv2+
URL:		http://libmtp.sourceforge.net/
Source0:	http://downloads.sourceforge.net/project/libmtp/libmtp/%{version}/%{name}-%{version}.tar.xz
Source1:	10-usb-music-players-libmtp.fdi
#-------------------------------------
BuildRequires: %{_lib}gcrypt-devel
BuildRequires: %{_lib}gpg-error-devel
BuildRequires: %{_lib}usb1.0-devel
#-------------------------------------
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
libmtp is an implementation of Microsoft's Media Transfer Protocol (MTP)
in the form of a library suitable primarily for POSIX compliant
operating systems. We implement MTP Basic, the stuff proposed for
standardization. MTP Enhanced is for Windows only, if we implement
it, well that depends...


%package -n	%{libname}
Summary:	Main library for %{name}
Group:		System/Libraries
Obsoletes:	%mklibname mtp 0
Obsoletes:	%mklibname mtp 5
Obsoletes:	%mklibname mtp 6
Requires:	%{name}-utils >= %{version}-%{release}

%description -n	%{libname}
This package contains the library needed to run programs dynamically
linked with %{name}.

%package -n	%{develname}
Summary:	Headers for developing programs that will use %{name}
Group:		Development/Libraries
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Obsoletes:	%mklibname -d mtp 5
Obsoletes:	%mklibname -d mtp 0

%description -n	%{develname}
This package contains the headers that programmers will need to develop
applications which will use %{name}.

%package utils
Summary: Tools provided by libmtp
Group: System/Libraries
Requires: %{libname} = %{version}-%{release}
Provides: mtp-utils = %{version}-%{release}

%description utils
This package contains various tools provided by libmtp.

%prep
%setup -q

%build
#./autogen.sh
%configure2_5x \
	--disable-static \
	--enable-doxygen \
	--with-udev=/lib/udev \
	--with-udev-rules=60-libmtp.rules
%make

%install
rm -rf %{buildroot}
%makeinstall_std

#-- FEDORA COPY
mkdir -p %{buildroot}%{_datadir}/hal/fdi/information/10freedesktop
install -m 0644 %SOURCE1 %{buildroot}%{_datadir}/hal/fdi/information/10freedesktop/10-usb-music-players-libmtp.fdi
#-- FEDORA COPY
# Replace links with relative links
rm -f %{buildroot}%{_bindir}/mtp-delfile
rm -f %{buildroot}%{_bindir}/mtp-getfile
rm -f %{buildroot}%{_bindir}/mtp-newfolder
rm -f %{buildroot}%{_bindir}/mtp-sendfile
rm -f %{buildroot}%{_bindir}/mtp-sendtr
pushd %{buildroot}%{_bindir}
ln -sf mtp-connect mtp-delfile
ln -sf mtp-connect mtp-getfile
ln -sf mtp-connect mtp-newfolder
ln -sf mtp-connect mtp-sendfile
ln -sf mtp-connect mtp-sendtr
popd

# don't ship .la
find %{buildroot} -name *.la | xargs rm -f
rm -rf %{buildroot}/usr/share/doc/libmtp*

%clean
rm -rf %{buildroot}

%files -n %{libname}
%doc AUTHORS COPYING README
%{_libdir}/libmtp.so.%{major}*

%files -n %{develname}
%{_includedir}/%{name}.h
%{_libdir}/%{name}.so
%{_libdir}/pkgconfig/*

%files utils
/lib/udev/rules.d/*.rules
%{_datadir}/hal/fdi/information/10freedesktop/10-usb-music-players-libmtp.fdi
/lib/udev/mtp-probe
/lib/udev/hwdb.d/69-libmtp.hwdb
%{_bindir}/*


%changelog
* Wed Jan 03 2018 adrianomorselli <adrianomorselli> 1.1.13-1uplos2018
- update
